<?php
class EVGuardar extends AppEvento{
	
	protected $_destino;
	
	public function __construct(&$elemento, $selector, $disparador, $destino){
		parent::__construct($disparador);
		$this->setPadre($elemento);
		$this->setSelector($selector);
		$this->disparador = $disparador;
		$this->_destino = $destino;
	}
	
	public function renderEvento(){
		
		
		
	
		
		
		
		
		$accion = 'var formData = $(\':input\',linea).serializeArray();
				contentType = \'application/x-www-form-urlencoded; charset=UTF-8\';
				';
		
		/*if($this->padre instanceof AppElementoFormulario)
			$accion = $principioElemento;
		else
			$accion = $principioFormulario;
		*/
		$accion .='
		
				$(\'.has-error\',linea).removeClass(\'has-error\');
		$(\'.error-formulario\',linea).remove();
				console.log(formData);
				$.ajax({url:"'.BASEURL.$this->_destino.'" ,
						type: "POST" ,
						data: formData,
						async: false,
						cache: false,
						contentType: contentType,
						processData: true,
						dataType : "json",})'
								.$this->getCorrectoJQ()
								.'; '.$this->renderAccion() . $this->renderCortarDisparador();
		
		/*$script = '$("'. $this->padre->identificadorScript() .'").'.$this->disparador.'(function(){'
				.$accion
				.'});';
		
		return $script;*/
		
		
		
		$script = '$('.$this->getSelect().').'.$this->getDisparador().'(function(){'
				.$accion
				.'
		})';
		return $script;
	}
	
	
	public function getCorrectoJQ(){
	
	
		$jq = 'function(data){'
				.((isset($this->_correcto) && strlen($this->_correcto))?$this->_correcto:'')
				."\n".'trataAjaxLinea(data, linea);'
	
						.'}';
	
		return '.done('.$jq.')';
	
	
	}
	protected function renderAccion(){
		return '';
	}
}

